<?php
namespace AdaPay;

class Payment extends AdaPay{

    public $endpoint = "/v1/payments";
    public $payPayments = NULL;
    public $closeOrder = NULL;
    public $paymentOrder = NULL;

    public function __construct()
    {
        parent::__construct();
        $this->payPayments = new PayPayment();
        $this->closeOrder = new CloseOrder();
        $this->paymentOrder = new PaymentOrder();

    }

    public function create(){
        $request_params = $this->payPayments->getOrderParams();
        $req_url = $this->gateWayUrl.$this->endpoint;
        $header =  $this->get_request_header($req_url, $request_params, $this->header);
        $this->result = $this->request->curl_request($req_url, $request_params, $header, $is_json=true);
    }

    public function orderClose(){
        $request_params = (array)$this->closeOrder;
        $id = $this->closeOrder->payment_id;
        $req_url = $this->gateWayUrl.$this->endpoint."/". $id. "/close";
        $header =  $this->get_request_header($req_url, $request_params, $this->header);
        $this->result = $this->request->curl_request($req_url, $request_params, $header, $is_json=true);
    }

    public function orderQuery(){
        $id = $this->paymentOrder->payment_id;
        $req_url = $this->gateWayUrl.$this->endpoint."/".$id;
        $header = $this->get_request_header($req_url, "",  $this->headerText);
        $this->result = $this->request->curl_request($req_url, null, $header, false);
    }
}