<?php
namespace AdaPay;


class Refund extends AdaPay
{
    public $refundOrder = NULL;
    public $refundOrderQuery = NULL;
    public $endpoint = "/v1/payments";

    public function __construct()
    {
        parent::__construct();
        $this->refundOrder = new RefundOrder();
        $this->refundOrderQuery = new refundOrderQuery();
    }

    public function orderRefund(){
        $request_params = (array)$this->refundOrder;
        $charge_id = $this->refundOrder->payment_id;
        $req_url = $this->gateWayUrl.$this->endpoint."/". $charge_id. "/refunds";
        $header =  $this->get_request_header($req_url, $request_params, $this->header);
        $this->result = $this->request->curl_request($req_url, $request_params, $header, $is_json=true);
    }

    public function orderRefundQuery(){
        $request_params = (array)$this->refundOrderQuery;
        $request_params = array_filter((array)$request_params, function($v){
            if (!empty($v)) {
                return true;
            }
            return false;
        });
        $req_url = $this->gateWayUrl.$this->endpoint."/refunds";
        $header = $this->get_request_header($req_url, http_build_query($request_params), $this->headerText);
        $this->result = $this->request->curl_request($req_url."?".http_build_query($request_params), "", $header, false);
    }
}