<?php
namespace AdaPay;

class PayPayment
{
    public $order_no = "";
    public $pay_channel = "";
    public $pay_amt = "0.00";
    public $currency = "cny";
    public $description = "";
    public $time_expire = "";
    public $goods_title = "";
    public $goods_desc = "";
    public $signType = "RSA2";
    public $app_id = "";
    public $deviceInfo = array();
    public $expend = array();

    public function getOrderParams(){
        $order_params = array(
            "sign_type"=> $this->signType,
            "currency"=> $this->currency
        );
        $order_params = $this->baseInfo($order_params);
        return $order_params;
    }

    private function baseInfo($data){
        $data = $this->isParamsEmpty($data, 'app_id', $this->app_id);
        $data = $this->isParamsEmpty($data, 'order_no', $this->order_no);
        $data = $this->isParamsEmpty($data, 'pay_channel', $this->pay_channel);
        $data = $this->isParamsEmpty($data, 'pay_amt', $this->pay_amt);
        $data = $this->isParamsEmpty($data, 'currency', $this->currency);
        $data = $this->isParamsEmpty($data, 'description', $this->description);
        $data = $this->isParamsEmpty($data, 'time_expire', $this->time_expire);
        $data = $this->isParamsEmpty($data, 'goods_title', $this->goods_title);
        $data = $this->isParamsEmpty($data, 'goods_desc', $this->goods_desc);
        $data = $this->isParamsEmpty($data, 'device_info', $this->deviceInfo);
        $data = $this->isParamsEmpty($data, 'expend', $this->expend);
        return $data;
    }

    private function isParamsEmpty($data, $key, $value){
        if ($value){
            $data[$key] = $value;
        }
        return $data;
    }
}