<?php
namespace AdaPay;

class Requests{

    public $postCharset = "utf-8";

    public function curl_request($url, $postFields = null, $headers=null, $is_json=false) {
        $this->pay_log("curl方法参数:". json_encode(func_get_args()), "INFO");
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_FAILONERROR, false);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_HEADER, 0);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        if (is_array($postFields) && 0 < count($postFields)) {
            curl_setopt($ch, CURLOPT_POST, true);
            if ($is_json) {
                $json_data =  json_encode($postFields);
                $this->pay_log("请求参数:". $json_data, "INFO");
                array_push($headers, "Content-Length:". strlen($json_data));
                curl_setopt($ch, CURLOPT_POSTFIELDS, $json_data);
            }else{
                $this->pay_log("请求参数:". json_encode($postFields), "INFO");
                curl_setopt($ch, CURLOPT_POSTFIELDS, $postFields);
            }
        }
        if (empty($headers)){
            $headers = array('Content-type: application/x-www-form-urlencoded');
        }
        $this->pay_log("请求头:". json_encode($headers), "INFO");
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        $response = curl_exec($ch);
        $statuCode = curl_getinfo($ch,CURLINFO_HTTP_CODE);
        if (curl_errno($ch)) {
            $this->pay_log(curl_error($ch), "ERROR");
        }
        curl_close($ch);
        $this->pay_log("返回参数:". json_encode($response), "INFO");
        return array($statuCode, $response);

    }

    function characet($data, $targetCharset) {

        if (!empty($data)) {
            $fileType = $this->postCharset;
            if (strcasecmp($fileType, $targetCharset) != 0) {
                $data = mb_convert_encoding($data, $targetCharset, $fileType);
            }
        }
        return $data;
    }

    function pay_log($message, $level = "INFO"){
        if (DEBUG){
            if (!is_dir(LOG_DIR)){
                mkdir(LOG_DIR);
            }
            $log_file = LOG_DIR."/adapay_".date("Ymd").".log";
            $server_addr = "127.0.0.1"; //默认请求地址
            if (isset($_SERVER["REMOTE_ADDR"])){
                $server_addr = $_SERVER["REMOTE_ADDR"];
            }
            $message_1 = "[". $level ."] [".gmdate("Y-m-d\TH:i:s\Z")."] ". $server_addr." ". $message. "\n";
            $fp = fopen($log_file, "a+");
            fwrite($fp, $message_1);
            fclose($fp);
        }
    }
}