<?php
/**
 * AdaPay 发起扫码或者app支付
 * author: adapay.com https://docs.adapay.tech/api/04-trade.html
 * Date: 2019/08/03 13:05
 */

# 加载SDK需要的文件
include_once  dirname(__FILE__). "/../adapay/init.php";
# 加载商户的配置文件
include_once  dirname(__FILE__). "/../demo/config.php";

# 初始化支付类
$payment = new \AdaPay\Payment();

# 支付设置
# 支付app_id
$payment->payPayments->app_id = "app_P000002052092068";
# 订单号
$payment->payPayments->order_no = date("YmdHis").rand(100000, 999999);
# 支付方式
$payment->payPayments->pay_channel = 'alipay';
# 过期时间
$payment->payPayments->time_expire = '20200101000000';
# 支付金额
$payment->payPayments->pay_amt = '0.01';

# 商品标题 必须
$payment->payPayments->goods_title = 'suject';
# 商品描述 必须
$payment->payPayments->goods_desc = 'body';

# 可选参数 请参考 http://www.payun.cloud/docs/api/07-appendix.html#extra
# 支付描述
$payment->payPayments->description = 'description';
# 设备信息
$payment->payPayments->deviceInfo = ['device_id'=>"1111"];
# 扩展参数域
$payment->payPayments->expend = [
    'buyer_id'=> '1111111',              // 支付宝卖家账号ID
    'buyer_logon_id'=> '22222222222',   // 支付宝卖家账号
    'promotion_detail'=>[              // 优惠信息
        'cont_price'=> '100.00',      // 订单原价格
        'receipt_id'=> '123',        // 商家小票ID
        'goodsDetail'=> [           // 商品信息集合
            ['goods_id'=> "111", "goods_name"=>"商品1", "quantity"=> 1, "price"=> "1.00"],
            ['goods_id'=> "112", "goods_name"=>"商品2", "quantity"=> 1, "price"=> "1.01"]
         ]
    ]
];

# 发起支付
$payment->create();

# 对支付结果进行处理
if ($payment->isError()){
    //失败处理
    var_dump($payment->result);
} else {
    //成功处理
    var_dump($payment->result);
}