#!/usr/bin/env php
<?php
/**
 * AdaPay 异步消息接收, 商户需要自己启动此脚本来监听支付消息
 * linux下 php subscribe.php start windows: php subscribe.php
 * author: adapay.com https://docs.adapay.tech/api/04-trade.html
 * Date: 2019/08/08 10:05
 */

# 加载SDK需要的文件
include_once  dirname(__FILE__). "/../adapay/init.php";
# 加载商户的配置文件
include_once  dirname(__FILE__). "/../demo/config.php";

# 消息回调函数
$callback = function ($message){
    //商户需要对消息结果处理
    //$message 格式：{"appId": "商户appId" ,"created": "创建时间年月日时分秒", "data": "{\"amount"\：\"0.01\"}", //"type":"payment.succeeded"}
};

# 实例化消息订阅类
$worker = new \AdaPay\MessageSubscribe();
# 启动消息监听服务进程
$worker->workerStart($worker, function ($content) use ($callback){
    call_user_func($callback, $content); //设置接收消息回调处理
});